How to change emulation mode in Internet Explorer to load TransferAgent properly

Any FileCatalyst application that previously used embedded Java applets in a browser has a migration path to FileCatalyst TransferAgent. Moving forward with this solution, we have been able to bring functionality of this product 

  • Google Chrome v42 and newer.
  • Firefox v40 and newer.
  • Internet Explorer v10 and newer.

In Internet Explorer, users have found that the application “stalls” at the “Launching TransferAgent” loading screen.  In most cases, this is not an application hang or stall. Older versions of Internet Explorer have a harder time loading modern JavaScript pages and in some cases, the Internet Explorer or Edge browser is dropped into compatibility mode. This forces a newer instance of Internet Explorer to run an emulation of an older version. You could see an Edge browser or Internet Explorer v11 browser get placed into “IE5 (document mode)” environment.

Environment

FileCatalyst Workflow v4.8 and later.

FileCatalyst Webmail v4.8 and later.

FileCatalyst TransferAgent Deployment all versions.

FileCatalyst Link.

Resolution

From an application perspective, we have altered our landing pages to include “DOCTYPE” tags and "X-UA-Compatible” tag to force the browser into an emulation environment from Internet Explorer's latest release available.

To change the emulation mode in Internet Explorer, navigate to the webpage that attempts to load the TransferAgent:

  1. As the spinner is moving and the screen is grey, open Developer Tools. You can access this menu by:
    1. Hitting F12 on your keyboard.
    2. Right-Click on in the grey area and click Inspect Element.
    3. Press Alt in the web browser and click on Tools when it appears. Select Developer Tools from the dropdown list.
  2. In the Developer Console, look for the Emulation tab.
  3. Under the Mode section, use the dropdown list for Document Mode and select "11" or newer.
  4. Refresh the page.

Note: In step 3, if you noticed that your default Document Mode is less than 10, you should check your Compatibility View settings from the Tools menu and remove this website from the list.